{% assign products_count = 1 %}

{% if group_shop %}
  {% load_products tag: group_shop.name per_page: 3 %}

  {% if products.size >= 2 %}
    <section class="section group-shop container">
      <div class='section-wrapper'>
        <h3 class="title">
          {{ group_shop.subtitle | default: 'Compre Junto' }}
        </h3>

        <div class="products">

          <div class='swiper' data-swiper-group>
            <div class='swiper-wrapper'>

              <div class='swiper-slide -plus'>
                {% render 'partials/components/product_block_group_shop', product: current_product, showAttributes: true, showDelete: false, mobile: mobile %}
              </div>

              {% for product in products %}
                {% if product.reference != current_product.reference %}

                  {% assign customs_tag = product.tags | where: 'type', 'personalizacao' | first %}

                  {% unless customs_tag %}
                    <div class='swiper-slide -plus'>
                      {% render 'partials/components/product_block_group_shop', product: product, showAttributes: true, showDelete: true, mobile: mobile %}
                    </div>
                    {% assign products_count = products_count | plus: 1 %}
                  {% endunless %}
                {% endif %}
              {% endfor %}

            </div>

            <div class="swiper-pagination"></div>
          </div>

          <div class="purchase -hidden">
            <form id="form-product" class="form-product" action="{{ cart_item_url }}" enctype="multipart/form-add" data-form-product-group-shop style="display: none;"></form>

            <div class="price-wrapper">
              <h4 class="text">Compre os {{ products_count }} produtos por</h4>
              <div class="discount-wrapper -hidden">
                <span class="discount-percent"></span>
                <span class="original-price"></span>
              </div>
              <span class="price-group"></span>
              <span class="warning" data-warning></span>
            </div>

            <button aria-label="Adicionar produtos selecionados ao carrinho" class="button-default" data-group-shop-add type="button">
              <span>Compre junto</span>
            </button>

            <div class="msg-response">
              <span class="msg-error"></span>
            </div>
          </div>
        </div>
      </div>
    </section>
  {% endif %}
{% endif %}
